.\"	$NetBSD: pud.4,v 1.1 2007/11/21 19:10:23 pooka Exp $
.\"
.\" Copyright (c) 2007 Antti Kantee.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd November 21, 2007
.Dt PUD 4
.Os
.Sh NAME
.Nm pud
.Nd Pass-to-Userspace Device
.Sh SYNOPSIS
.Cd "pseudo-device pud"
.Sh DESCRIPTION
The
.Nm
driver enables the implementation of block and character device drivers
as userspace daemons.
The daemons register the device major number they wish to handle.
Registering a character device is mandatory, supporting the block
device interface for same major device is optional.
The major number must be available, i.e. another driver must not
be registered to handle the operation.
After successful registration the userspace daemon is supposed to
handle the driver methods the kernel passes down to it.
.Sh SEE ALSO
.Xr puffs 4 ,
.Xr putter 9
.Sh BUGS
This document is in a hit-in-the-head style obviously not even
near complete.
But that does not matter, as neither is the code.
